BizKitHub
DocsAPI ReferenceTeam Chat/bff/team-chat/poll-create
postTeam ChatAdmin BFF

/bff/team-chat/poll-create

Post a poll to a conversation

Team chatpostBffTeam-chatPoll-create

Parameters

JSON body

Request body

application/json
roomIdstringRequired

24-char room id.

Length: 24–24
questionstringRequired
Length: 1–300
optionsstring[]Required
multiplebooleanOptional
anonymousbooleanOptional
clientNoncestringRequired
Length: 1–64

Response schema

1 status code documented

200Success
idstringRequired
positionstring | integerRequired
One of 2:
Variant 1
stringinteger
Default: 0
Variant 2
integer
duplicatebooleanRequired

Response example

application/json
{
  "id": "example_id",
  "duplicate": false
}

Request example

POST /bff/team-chat/poll-create

post
curl -X POST "https://api.bizkithub.com/bff/team-chat/poll-create" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "roomId": "example_roomId",
  "question": "example_question",
  "options": [
    "string"
  ],
  "multiple": false,
  "anonymous": false,
  "clientNonce": "example_clientNonce"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key